Custom provider that defines how form controls behave with regards to displaying error messages.

### Hierarchy

- CustomErrorStateMatcher

### Implements

- ErrorStateMatcher

## Index

### Constructors

- constructor

### Methods

- isErrorState

## Constructors

### constructor

- new CustomErrorStateMatcher(): CustomErrorStateMatcher

- #### Returns CustomErrorStateMatcher

## Methods

### isErrorState

- isErrorState(control: FormControl, form: FormGroupDirective | NgForm): boolean

- Implementation of ErrorStateMatcher.isErrorState

  - Defined in src/app/_helpers/custom-error-state-matcher.ts:17

  Checks whether an invalid input has been made and an error should be made.

  #### Parameters

  - ##### control: FormControl

    Tracks the value and validation status of an individual form control.

  - ##### form: FormGroupDirective | NgForm

    Binding of an existing FormGroup to a DOM element.

  #### Returns boolean

  true - If an invalid input has been made to the form control.

Generated using TypeDoc